Loading...
Searching...
No Matches
XrdXrootdMonitor_Tick Class Reference
Inheritance diagram for XrdXrootdMonitor_Tick:
Collaboration diagram for XrdXrootdMonitor_Tick:

## Public Member Functions

| XrdXrootdMonitor_Tick ()
| ~XrdXrootdMonitor_Tick ()
void | DoIt ()
void | Set (XrdScheduler *sp, int intvl)
Public Member Functions inherited from XrdJob
| XrdJob (const char *desc="")
virtual | ~XrdJob ()

## Additional Inherited Members

Public Attributes inherited from XrdJob
const char * | Comment
XrdJob * | NextJob

## Detailed Description

Definition at line 174 of file XrdXrootdMonitor.cc.

## Constructor & Destructor Documentation

## XrdXrootdMonitor_Tick()

XrdXrootdMonitor_Tick::XrdXrootdMonitor_Tick | ( |  | ) |

inline

Definition at line 190 of file XrdXrootdMonitor.cc.

: XrdJob("monitor window clock"),
Sched(0), Window(0) {}
XrdJob::XrdJob
XrdJob(const char *desc="")
Definition XrdJob.hh:51
XrdXrootdMonInfo::Sched
XrdScheduler * Sched
Definition XrdXrootdMonFile.cc:47

References XrdJob::XrdJob().

Here is the call graph for this function:

## ~XrdXrootdMonitor_Tick()

XrdXrootdMonitor_Tick::~XrdXrootdMonitor_Tick | ( |  | ) |

inline

Definition at line 192 of file XrdXrootdMonitor.cc.

{}

## Member Function Documentation

## DoIt()

void XrdXrootdMonitor_Tick::DoIt | ( |  | ) |

inline virtual

Implements XrdJob.

Definition at line 178 of file XrdXrootdMonitor.cc.

{
#ifndef NODEBUG
const char *TraceID = "MonTick";
#endif
time_t Now = XrdXrootdMonitor::Tick();
if (Window && Now)
Sched->Schedule((XrdJob *)this, Now+Window);
else {TRACE(DEBUG, "Monitor clock stopping.");}
}
DEBUG
#define DEBUG(x)
Definition XrdBwmTrace.hh:54
TRACE
#define TRACE(act, x)
Definition XrdTrace.hh:63
XrdXrootdMonitor::Tick
static time_t Tick()
Definition XrdXrootdMonitor.cc:967

References XrdJob::XrdJob(), DEBUG, XrdXrootdMonitor::Tick(), and TRACE.

Here is the call graph for this function:

## Set()

void XrdXrootdMonitor_Tick::Set | ( | XrdScheduler * | sp,
|  | int | intvl )

inline

Definition at line 188 of file XrdXrootdMonitor.cc.

{Sched = sp; Window = intvl;}

References XrdJob::XrdScheduler.

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- XrdXrootdMonitor.cc